export default {
  name: "infiot-component-checkboxcomponent",
    type: "checkboxcomponent",

    tag: {
      tagId: {control:'input', type:'text', subType:'TagModal', value:""},
      tagName: {control:'input', type:'text', value:""}
    },
  
    layout: {
      width: {control:'input', type:'number', value:100},
      height: {control:'input', type:'number', value:30},
      x: {control:'input', type:'number', value:0},
      y: {control:'input', type:'number', value:0},
      zIndex: {control:'input', type:'number', value:0}
    },
  
    text: {
      value: {control:'input', type:'text', value:"Text"},
      fontFamily: {control:'select', type:'text', 
                  optionValues:['Arial','Digit','LCD','Digital7Mono','LGSmHaR','Calibri','Cambria',
                                 'Consolas','Georgia','Times New Roman','Trebuchet MS','Verdana',
                                 'Gulim','GulimChe','Batang','BatangChe','Gungsuh','GungsuhChe',
                                 'MalgunGothic','NewGulim','Meiryo','NanumGothic','NanumSquare'], 
                  value:"Arial"},
      fontSize: {control:'input', type:'text', value:"11px"},
      color: {control:'input', type:'text', subType:'ColorModal', value:"rgba(255,255,255,1)"},
      fontStyle: {control:'select', type:'text', optionValues:['normal','italic','oblique'], value:"normal"},
      fontWeight: {control:'select', type:'text', 
                  optionValues:['normal','bold','100','200','300','400','500','600','700','800','900'], 
                  value:"normal"},
      textAlign: {control:'select', type:'text', optionValues:['left','center','right'], value:"left"},
      textDecoration: {control:'select', type:'text', optionValues:['none','underline','overline','line-through'], value:"none"},
      multiLang: {control:'input', type:'checkbox', value:false}
    },

    shape: {
      rotationAngle: {control:'input', type:'number', value:0}
    },
  
    state: {
      currentState: {control:'input', type:'text', value:""},
      state01: {
        value: {control:'input', type:'text', value:"ON"},
        color: {control:'input', type:'text', subType:'ColorModal', value:"rgba(0,0,255,1)"}
      },
      state02: {
        value: {control:'input', type:'text', value:"OFF"},
        color: {control:'input', type:'text', subType:'ColorModal', value:"rgba(255,0,0,1)"}
      },
      state03: {
        value: {control:'input', type:'text', value:""},
        color: {control:'input', type:'text', subType:'ColorModal', value:""}
      },
      state04: {
        value: {control:'input', type:'text', value:""},
        color: {control:'input', type:'text', subType:'ColorModal', value:""}
      },
      state05: {
        value: {control:'input', type:'text', value:""},
        color: {control:'input', type:'text', subType:'ColorModal', value:""}
      }
    },
  
    control: {
      controlName: {control:'input', type:'text', value:""},
      mouseLeftClick: {control:'select', type:'text', optionValues:['NONE','NAVIGATION'], value:"NONE"},
      navigationAddress: {control:'select', type:'text', value:""}
    },

    write: {
      sendTagId: {control:'input', type:'text', value:""},
      sendTagValue: {control:'input', type:'text', value:""}
    },

    event: {
      type: {control:'select', type:'text', optionValues:['none','click','blur','change','focus','focusin','focusout'
            ,'select','submit','load','dblclick','keydown','keypress','keyup','mousedown','mouseenter','mouseleave'
            ,'mousemove','mouseover','mouseout','mouseup','contextmenu','drag','dragend','dragenter','dragover','dragstart','drop']
            , value:"none"},
      method: {control:'input', type:'text', value:""},
      inParam: {control:'input', type:'text', value:""},
      outParam: {control:'input', type:'text', value:""}
    },

    imageSrc:require('./checkbox.png')
  };